#include "frame.h"
#include "crc.h"


static uint32_t get_frame_crc(frame_t const *frame)
{
    return crc16_ccitt_false_small((uint8_t *) frame, sizeof(*frame) - sizeof(frame->crc));
}


void frame_update_crc(frame_t *frame)
{
    frame->crc = get_frame_crc(frame);
}


bool frame_verify_crc(frame_t const *frame)
{
    return frame->crc == get_frame_crc(frame);
}